import type { Params, SSRElement, SSRLoadedRenderer, SSRResult } from '../../@types/astro';
import type { MarkdownRenderingOptions } from '@astrojs/markdown-remark';
import { LogOptions } from '../logger/core.js';
export interface CreateResultArgs {
    ssr: boolean;
    logging: LogOptions;
    origin: string;
    markdown: MarkdownRenderingOptions;
    params: Params;
    pathname: string;
    renderers: SSRLoadedRenderer[];
    resolve: (s: string) => Promise<string>;
    site: string | undefined;
    links?: Set<SSRElement>;
    scripts?: Set<SSRElement>;
    request: Request;
}
export declare function createResult(args: CreateResultArgs): SSRResult;
